Bug 627280 - don't require perl
Summary: don't require perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 626946
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-25 14:34 UTC by Adam Tkac
Modified: 2013-04-30 23:47 UTC (History)
7 users (show)

Fixed In Version: anaconda-14.17-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of: 626946
Environment:
Last Closed: 2010-09-15 07:10:21 UTC


Attachments (Terms of Use)

Description Adam Tkac 2010-08-25 14:34:41 UTC
+++ This bug was initially created as a clone of Bug #626946 +++

To make the F14 desktop spin fit on a cd, we are working to get perl off the image. We just got rid of the last perl dep in syslinux, and now tigervnc-server is pulling in a new one.

If we can't get rid of it, we'll have to kick tigervnc-server off the desktop spin, I'm afraid.

--- Additional comment from mclasen@redhat.com on 2010-08-24 14:11:52 EDT ---

Of course, anaconda pulling it in makes that a little harder to do, grr.

So, perl is the 3rd largest package on the live cd, and it is getting pulled in solely for /usr/bin/vncserver.

--- Additional comment from atkac@redhat.com on 2010-08-25 03:49:48 EDT ---

In my opinion the best solution is to create new subpkg and ship only Xvnc, vncpasswd and vncconfig there. tigervnc-server will Requires: <this_new_subpkg> so everything should be same for common users.

--- Additional comment from mclasen@redhat.com on 2010-08-25 10:14:39 EDT ---

And then anaconda will be made to require only that new tigervnc-server-barebones package ? Sounds fine to me.

--- Additional comment from bruno@wolff.to on 2010-08-25 10:23:45 EDT ---

It looks like there is a test build of this being put together this morning.
Is there a bug to request the change to anaconda?

--- Additional comment from updates@fedoraproject.org on 2010-08-25 10:33:46 EDT ---

tigervnc-1.0.90-0.19.20100813svn4123.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.19.20100813svn4123.fc14

Comment 1 Adam Tkac 2010-08-25 14:36:53 UTC
The latest tigervnc update created new package called "tigervnc-server-minimal" which contains minimal set of utilities to run standalone VNC server (Xvnc + vncpasswd + vncconfig).

Is it possible to use this package in anaconda and drop dependency on perl?

Comment 2 Chris Lumens 2010-08-25 15:04:55 UTC
Fantastic, I've made the change and pushed it.

Comment 3 Bruno Wolff III 2010-08-25 17:56:54 UTC
I looked at the commit and the requires in the specfile wasn't changed. We need that changed as well as anaconda is installed on the live images and we don't want it pulling in perl via tigervnc-server.
Thanks.

Comment 4 Chris Lumens 2010-08-25 18:03:57 UTC
Whew, good thing you're looking over my shoulder.

Comment 5 Bruno Wolff III 2010-08-25 18:12:37 UTC
I'm trying to set up a test of this, so I am noticing stuff I wouldn't normally see.

Comment 6 Fedora Update System 2010-09-03 15:10:51 UTC
anaconda-14.17-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.17-1.fc14

Comment 7 Fedora Update System 2010-09-03 16:43:12 UTC
anaconda-14.17-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anaconda'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/anaconda-14.17-1.fc14

Comment 8 Fedora Update System 2010-09-15 07:10:02 UTC
anaconda-14.17-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.